Disable SSLv2
07 July 2010 10:16 - dergringo

Status:
Priority:
Assignee:
Category:
Target version:

Request Type:

Closed

Urgent

Feature Request

Start date: 07 July 2010
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

| did a quick ssl scan on our infrastructure.
And it looks like the mail services support SSLv2 which is not needed and known to be insecure.
Please disable SSLv2 support and leave only SSLv3 and TLSv1 enabled.

$ sslscan mail.piratenpartei.ch:993

Testing SSL server mail.piratenpartei.ch on port 993

Supported Server Cipher(s):
DHE-RSA-AES256-SHA
DHE-RSA-AES128-SHA
DHE-DSS-AES128-SHA
AES128-SHA
AES128-SHA
Rejected TLSvl 56 bits ADH-DES-CBC-SHA
Accepted TLSvl 40 bits EXP-ADH-DES-CBC-SHA
Accepted TLSvl 128 bits ADH-RC4-MD5

Accepted TLSvl 40 bits EXP-ADH-RC4-MD5
Accepted TLSvl 168 bits EDH-RSA-DES-CBC3-SHA
Rejected TLSvl 56 bits EDH-RSA-DES-CBC—-SHA
Accepted TLSvl 40 bits EXP-EDH-RSA-DES-CBC-SHA
Rejected TLSvl 168 bits EDH-DSS-DES-CBC3-SHA
Rejected TLSvl 56 bits EDH-DSS-DES-CBC-SHA
Rejected TLSvl 40 bits EXP-EDH-DSS-DES-CBC-SHA
Accepted TLSvl 168 bits DES-CBC3-SHA

Rejected TLSvl 56 bits DES-CBC-SHA

Accepted TLSvl 40 bits EXP-DES—-CBC-SHA
Accepted TLSvl 40 bits EXP-RC2-CBC-MD5
Accepted TLSvl 128 bits RC4-SHA

Accepted TLSvl 128 bits RC4-MD5

Accepted TLSvl 40 bits EXP-RC4-MD5

Rejected TLSvl O bits NULL-SHA

Rejected TLSvl 0 bits NULL-MD5

Prefered Server Cipher(s):
SSLv2 168 bits DES-CBC3-MD5
SSLv3 256 bits ADH-AES256-SHA
TLSv1 256 bits ADH-AES256-SHA

History

#1 - 19 July 2010 15:35 - Anonymous
- Status changed from New to Closed

- % Done changed from 0 to 100

Done.

#2 - 09 November 2010 14:30 - dergringo
- Project changed from 8 to 16
- Category deleted (1)
